FilteringIterable (Neo4j Apoc 1.1 API)
Keywords: org.neo4j.helpers.collection.FilteringIterable class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.helpers.collection
Class FilteringIterable<T>

    java.lang.Object
      org.neo4j.helpers.collection.FilteringIterable<T>

Type Parameters:
  `T` - the type of items in the iteration.

All Implemented Interfaces:
  Iterable<T>

    public class FilteringIterable<T>

extends Object
implements Iterable<T>

An iterable which filters another iterable, only letting items with certain criterias pass through. All iteration/filtering is done lazily.

Constructor Summary
`FilteringIterable(Iterable<T> source, Predicate<T> predicate)`

Method Summary
`Iterator<T>` | `iterator()`
`static
`<T> Iterable<T>`
` | `noDuplicates(Iterable<T> source)`
`static
`<T> Predicate<T>`
` | `noDuplicatesPredicate()`
`static
`<T> Iterable<T>`
` | `notNull(Iterable<T> source)`
`static
`<T> Predicate<T>`
` | `notNullPredicate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilteringIterable

    public FilteringIterable(Iterable<T> source,
                             Predicate<T> predicate)

Method Detail

### iterator

    public Iterator<T> iterator()

  Specified by:
    `iterator` in interface `Iterable<T>`

### notNull

    public static <T> Iterable<T> notNull(Iterable<T> source)

### noDuplicates

    public static <T> Iterable<T> noDuplicates(Iterable<T> source)

### noDuplicatesPredicate

    public static <T> Predicate<T> noDuplicatesPredicate()

### notNullPredicate

    public static <T> Predicate<T> notNullPredicate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Neo4j. All Rights Reserved.